<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: CRC Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">CRC Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d0/d7f/group___n_a_n_o1_x2___c_r_c___driver.html">CRC Driver</a> &raquo; <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">CRC Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for CRC Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad1_2d08_2group______n__a__n__o1__x2______c__r__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1dadd83ec92afc46bd51369969ae2462"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dadd83ec92afc46bd51369969ae2462">CRC_ENABLE_INT</a>(u32Mask)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAIER |= (u32Mask))</td></tr>
<tr class="memdesc:ga1dadd83ec92afc46bd51369969ae2462"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable CRC Interrupt.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dadd83ec92afc46bd51369969ae2462">More...</a><br /></td></tr>
<tr class="separator:ga1dadd83ec92afc46bd51369969ae2462"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedc732fd0d1a08a3f71a88fb1d6021ac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedc732fd0d1a08a3f71a88fb1d6021ac">CRC_DISABLE_INT</a>(u32Mask)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAIER &amp;= ~(u32Mask))</td></tr>
<tr class="memdesc:gaedc732fd0d1a08a3f71a88fb1d6021ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable CRC Interrupt.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedc732fd0d1a08a3f71a88fb1d6021ac">More...</a><br /></td></tr>
<tr class="separator:gaedc732fd0d1a08a3f71a88fb1d6021ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed7be356430df0c67ddf11d575beb00e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed7be356430df0c67ddf11d575beb00e">CRC_GET_INT_FLAG</a>()&#160;&#160;&#160;((uint32_t)(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAISR))</td></tr>
<tr class="memdesc:gaed7be356430df0c67ddf11d575beb00e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CRC Interrupt Flag.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed7be356430df0c67ddf11d575beb00e">More...</a><br /></td></tr>
<tr class="separator:gaed7be356430df0c67ddf11d575beb00e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed9fde59eafdf5fc7a1171e6b8953e84"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed9fde59eafdf5fc7a1171e6b8953e84">CRC_CLR_INT_FLAG</a>(u32Mask)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAISR |= (u32Mask))</td></tr>
<tr class="memdesc:gaed9fde59eafdf5fc7a1171e6b8953e84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear CRC Interrupt Flag.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaed9fde59eafdf5fc7a1171e6b8953e84">More...</a><br /></td></tr>
<tr class="separator:gaed9fde59eafdf5fc7a1171e6b8953e84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga704cb815cdec5f828b3ef657ea0c2a8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704cb815cdec5f828b3ef657ea0c2a8a">CRC_SET_SEED</a>(u32Seed)&#160;&#160;&#160;{ <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;SEED = (u32Seed); <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CTL |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac2fa68bcbe60b4db0317b7e64de67793">DMA_CRC_CTL_CRC_RST_Msk</a>; }</td></tr>
<tr class="memdesc:ga704cb815cdec5f828b3ef657ea0c2a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set CRC seed value.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704cb815cdec5f828b3ef657ea0c2a8a">More...</a><br /></td></tr>
<tr class="separator:ga704cb815cdec5f828b3ef657ea0c2a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7fa53e28332f0cd7d61c4bb6a790264d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7fa53e28332f0cd7d61c4bb6a790264d">CRC_GET_SEED</a>()&#160;&#160;&#160;((uint32_t)(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;SEED))</td></tr>
<tr class="memdesc:ga7fa53e28332f0cd7d61c4bb6a790264d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CRC Seed value.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7fa53e28332f0cd7d61c4bb6a790264d">More...</a><br /></td></tr>
<tr class="separator:ga7fa53e28332f0cd7d61c4bb6a790264d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5c7205773dfa62e97caa845acd58407"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab5c7205773dfa62e97caa845acd58407">CRC_WRITE_DATA</a>(u32Data)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;WDATA = (u32Data))</td></tr>
<tr class="memdesc:gab5c7205773dfa62e97caa845acd58407"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC write data.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab5c7205773dfa62e97caa845acd58407">More...</a><br /></td></tr>
<tr class="separator:gab5c7205773dfa62e97caa845acd58407"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">CRC_Open</a> (uint32_t u32Mode, uint32_t u32Attribute, uint32_t u32Seed, uint32_t u32DataLen)</td></tr>
<tr class="memdesc:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Open.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadf2a1ac5fbf128e350b9c381e63e7a62">More...</a><br /></td></tr>
<tr class="separator:gadf2a1ac5fbf128e350b9c381e63e7a62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc59b55387534047fb3bd2d908eaf012"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">CRC_StartDMATransfer</a> (uint32_t u32SrcAddr, uint32_t u32ByteCount)</td></tr>
<tr class="memdesc:gafc59b55387534047fb3bd2d908eaf012"><td class="mdescLeft">&#160;</td><td class="mdescRight">CRC Start DMA transfer.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc59b55387534047fb3bd2d908eaf012">More...</a><br /></td></tr>
<tr class="separator:gafc59b55387534047fb3bd2d908eaf012"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf0156b5936a304b688e9309235bf2541"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">CRC_GetChecksum</a> (void)</td></tr>
<tr class="memdesc:gaf0156b5936a304b688e9309235bf2541"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CRC Checksum.  <a href="../../d1/d08/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf0156b5936a304b688e9309235bf2541">More...</a><br /></td></tr>
<tr class="separator:gaf0156b5936a304b688e9309235bf2541"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gaed9fde59eafdf5fc7a1171e6b8953e84" name="gaed9fde59eafdf5fc7a1171e6b8953e84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaed9fde59eafdf5fc7a1171e6b8953e84">&#9670;&nbsp;</a></span>CRC_CLR_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_CLR_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAISR |= (u32Mask))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear CRC Interrupt Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt mask</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro clear the interrupt flag. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00105">105</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="gaedc732fd0d1a08a3f71a88fb1d6021ac" name="gaedc732fd0d1a08a3f71a88fb1d6021ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaedc732fd0d1a08a3f71a88fb1d6021ac">&#9670;&nbsp;</a></span>CRC_DISABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_DISABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAIER &amp;= ~(u32Mask))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable CRC Interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt mask</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro disable the interrupts. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00083">83</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga1dadd83ec92afc46bd51369969ae2462" name="ga1dadd83ec92afc46bd51369969ae2462"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1dadd83ec92afc46bd51369969ae2462">&#9670;&nbsp;</a></span>CRC_ENABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_ENABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Mask</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAIER |= (u32Mask))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable CRC Interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mask</td><td>Interrupt mask</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro enable the interrupts. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00072">72</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="gaed7be356430df0c67ddf11d575beb00e" name="gaed7be356430df0c67ddf11d575beb00e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaed7be356430df0c67ddf11d575beb00e">&#9670;&nbsp;</a></span>CRC_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((uint32_t)(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;DMAISR))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get CRC Interrupt Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Interrupt Flag</dd></dl>
<p>This macro gets the interrupt flag. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00094">94</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga7fa53e28332f0cd7d61c4bb6a790264d" name="ga7fa53e28332f0cd7d61c4bb6a790264d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7fa53e28332f0cd7d61c4bb6a790264d">&#9670;&nbsp;</a></span>CRC_GET_SEED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_GET_SEED</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((uint32_t)(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;SEED))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get CRC Seed value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Seed Value</dd></dl>
<p>This macro gets the seed value. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00127">127</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="ga704cb815cdec5f828b3ef657ea0c2a8a" name="ga704cb815cdec5f828b3ef657ea0c2a8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga704cb815cdec5f828b3ef657ea0c2a8a">&#9670;&nbsp;</a></span>CRC_SET_SEED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_SET_SEED</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Seed</td><td>)</td>
          <td>&#160;&#160;&#160;{ <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;SEED = (u32Seed); <a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;CTL |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ac2fa68bcbe60b4db0317b7e64de67793">DMA_CRC_CTL_CRC_RST_Msk</a>; }</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set CRC seed value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Seed</td><td>Seed value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro set seed value. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00116">116</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<a id="gab5c7205773dfa62e97caa845acd58407" name="gab5c7205773dfa62e97caa845acd58407"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab5c7205773dfa62e97caa845acd58407">&#9670;&nbsp;</a></span>CRC_WRITE_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC_WRITE_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Data</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga58e74ec4261a6249b687005c7a6aaf02">PDMACRC</a>-&gt;WDATA = (u32Data))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CRC write data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Data</td><td>write data</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This macro write CRC data. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/de6/crc_8h_source.html#l00138">138</a> of file <a class="el" href="../../dc/de6/crc_8h_source.html">crc.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gaf0156b5936a304b688e9309235bf2541" name="gaf0156b5936a304b688e9309235bf2541"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf0156b5936a304b688e9309235bf2541">&#9670;&nbsp;</a></span>CRC_GetChecksum()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t CRC_GetChecksum </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get CRC Checksum. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Checksum</dd></dl>
<p>This macro get the CRC checksum </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d13/crc_8c_source.html#l00076">76</a> of file <a class="el" href="../../d8/d13/crc_8c_source.html">crc.c</a>.</p>

</div>
</div>
<a id="gadf2a1ac5fbf128e350b9c381e63e7a62" name="gadf2a1ac5fbf128e350b9c381e63e7a62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadf2a1ac5fbf128e350b9c381e63e7a62">&#9670;&nbsp;</a></span>CRC_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CRC_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Attribute</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Seed</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DataLen</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CRC Open. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mode</td><td>CRC Polynomial Mode <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1c8431dfbf144f68548fcdcb09b605f4">CRC_CCITT</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e52750eccb4e3b43e187d43c47ee11c">CRC_8</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4cce368b6e4d5d7c373ef499172f7d89">CRC_16</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6aee885525d838fc93ed7d35d9c2d3b">CRC_32</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Attribute</td><td>Parameter attribute <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f5457261a4248ab335b6f023a59b566">CRC_CHECKSUM_COM</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc11c2c98b498874bab47c5474419802">CRC_CHECKSUM_RVS</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e16dd5e3c3f5ccbbf98bb16f55d5b91">CRC_WDATA_COM</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga470580021c1b2270c363a8c0e25c93c3">CRC_WDATA_RVS</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Seed</td><td>Seed value </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DataLen</td><td>CPU Write Data Length <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0407652657f834c49aacc23b3ef006e5">CRC_CPU_WDATA_8</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa566d8b56ee5cc4f2199faae732408c1">CRC_CPU_WDATA_16</a>, <a class="el" href="../../d5/d95/group___n_a_n_o1_x2___c_r_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a1a6e35a1611ad6c74fe882590b62c1">CRC_CPU_WDATA_32</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function enable the CRC channel. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d13/crc_8c_source.html#l00041">41</a> of file <a class="el" href="../../d8/d13/crc_8c_source.html">crc.c</a>.</p>

</div>
</div>
<a id="gafc59b55387534047fb3bd2d908eaf012" name="gafc59b55387534047fb3bd2d908eaf012"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc59b55387534047fb3bd2d908eaf012">&#9670;&nbsp;</a></span>CRC_StartDMATransfer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CRC_StartDMATransfer </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32SrcAddr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CRC Start DMA transfer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32SrcAddr</td><td>Source address </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32ByteCount</td><td>Calculate byte count</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function start DMA transfer. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d13/crc_8c_source.html#l00060">60</a> of file <a class="el" href="../../d8/d13/crc_8c_source.html">crc.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
